## IpatchSampleStoreRom IpatchSampleStoreRom — Sample storage object for audio in ROM of a sound card |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

                        IpatchSampleStoreRom;
    IpatchSample *      ipatch_sample_store_rom_new         (guint location);

## Object Hierarchy

      GObject
       +----IpatchItem
             +----IpatchSampleStore
                   +----IpatchSampleStoreRom

## Implemented Interfaces

IpatchSampleStoreRom implements IpatchSample.

## Properties

      "location"                 guint                 : Read / Write

## Description

## Details

### IpatchSampleStoreRom

    typedef struct _IpatchSampleStoreRom IpatchSampleStoreRom;

### ipatch_sample_store_rom_new ()

    IpatchSample *      ipatch_sample_store_rom_new         (guint location);

Creates a new rom sample store. No data can actually be read or written from this store type. Its used only to keep track of ROM locations in older SoundFont files.

`location` : | Location in ROM
Returns : | New rom sample store, cast as an IpatchSample for convenience.

## Property Details

### The `"location"` property

      "location"                 guint                 : Read / Write

Sample data ROM location.

Default value: 0